#!/bin/bash

##############################################
#echo "Chanel Name:"      	"$1"
#echo "Sattelite name:"   	"$2"
#echo "Polar:"            	"$3"
#echo "Freq:"             	"$4"
#echo "Symbol rate:"      	"$5"
#echo "Service:"          	"$6"
#echo "Prio_CaID:"        	"$7"
#echo "Prio_CaPID:"       	"$8"
#echo "Prio_Ident:"       	"$9"
#echo "Provider:"            "${10}"
#echo "Ignore Mode:"         "${11}"  0-OFF 1-ON 
#echo "Ignore String:"	     "${12}"
###############################################
# Ignore CAID list: ("aaaa" "bbbb" "cccc")
#
ICAID=("2600")
###############################################

PRIO_STR="{$6}{$7}{$9}{$8}"
DESCR="$1 ($4$3, $5)"
REPLACE_STR="R: {$PRIO_STR{0}{0}{0}} # $DESCR"
SATLABEL="########## $2 ##########"

################# Set file names ######################
if [ ${11} -eq 0 ]; then
NEWFILE="/var/keys/replace.list"
else
IGNORE_STR="R: {{$6}${12}{$7}{$9}{$8}} # $DESCR"
NEWFILE="/var/keys/replace.list.ignore"
fi
#######################################################

########## Create new file if file no exits ###########
if [ ! -f ${NEWFILE} ]; then
    echo -e "$SATLABEL\n" > ${NEWFILE}
else
if [ `sed -n '$=' ${NEWFILE}` -lt 2 ]; then
    echo -e "$SATLABEL\n" > ${NEWFILE}
fi
fi
#######################################################

############## Disable Ignore Caid ####################
for item in "${ICAID[@]}"; do
if [ "$7" == "$item" ]; then
    exit 0
fi
done
########################################################

############## Add Sattelite name ######################
satdesc=`sed -n /"$SATLABEL"/= $NEWFILE`
if [ ! $satdesc ]; then
    sed -i -e "1 i  " $NEWFILE
    sed -i -e "1 i $SATLABEL" $NEWFILE
    satdesc=1
fi
########################################################

if [ ${11} -eq 0 ]; then
########### Add new priority record ####################
count=`cat $NEWFILE | grep -c "$PRIO_STR{0}{0}{0}"`
if [ $count -eq 0 ]; then
    sed -i -e "$(($satdesc+1)) i ${REPLACE_STR}" $NEWFILE
fi
########################################################
else
########### Add new ignore record ####################
count=`cat $NEWFILE | grep -c "{$6}${12}{$7}{$9}{$8}"`
if [ $count -eq 0 ]; then
    sed -i -e "$(($satdesc+1)) i ${IGNORE_STR}" $NEWFILE
fi
########################################################
fi